# Class TwinfinityHttpClient

##### Index

### Methods

disconnect
fetch
create
createAnonymous

## Methods

### disconnect

- disconnect(): void

  #### Returns void

### fetch

- fetch(
  method: HttpMethod,
  absoluteUrl: string | URL,
  init?: RequestInit,
  ): Promise<Response>

  Issues a HTTP request

  #### Parameters

  - method: HttpMethod

    Method of http request.

  - absoluteUrl: string | URL

    Absolute url

  - `Optional` init: RequestInit

    Optional HttpRequestInit values.

  #### Returns Promise<Response>

### `Static` create

- create(
  clientInfo: ClientInfo,
  session: TwinfinitySession<unknown>,
  fetch?: typeof fetch,
  ): TwinfinityHttpClient

  #### Parameters

  - clientInfo: ClientInfo
  - session: TwinfinitySession<unknown>
  - `Optional` fetch: typeof fetch

  #### Returns TwinfinityHttpClient

### `Static` createAnonymous

- createAnonymous(
  clientInfo: ClientInfo,
  fetch?: typeof fetch,
  ): TwinfinityHttpClient

  #### Parameters

  - clientInfo: ClientInfo
  - `Optional` fetch: typeof fetch

  #### Returns TwinfinityHttpClient